aboutsummaryrefslogtreecommitdiff
path: root/test/performance/odp_timer_accuracy_run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/performance/odp_timer_accuracy_run.sh')
-rwxr-xr-xtest/performance/odp_timer_accuracy_run.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/performance/odp_timer_accuracy_run.sh b/test/performance/odp_timer_accuracy_run.sh
new file mode 100755
index 000000000..84ad2a573
--- /dev/null
+++ b/test/performance/odp_timer_accuracy_run.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# SPDX-License-Identifier: BSD-3-Clause
+# Copyright (c) 2022-2024 Nokia
+#
+
+TEST_DIR="${TEST_DIR:-$(dirname $0)}"
+
+$TEST_DIR/odp_timer_accuracy${EXEEXT} -p 100000000 -n 10
+
+RET_VAL=$?
+if [ $RET_VAL -ne 0 ] ; then
+ echo odp_timer_accuracy FAILED
+ exit $RET_VAL
+fi
+
+exit 0